Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Chat Completion (Open AI)

Send a prompt to the chat model and receive a response (OPEN AI Compatible) | Note: "Use the Rag token saved in "Assistant Details" request"

POST/conversation/{Conversation_Id}/v1/chat/completions

Path parameters

  • Conversation_IdPathstringrequired

Request body

application/json

object
modelstringrequired

Model to use for chat completion. Available models:

  • mistral_7b_instruct (Mistral-7B-Instruct-v0.3)
  • gemma_7b (Gemma-7B-It)
  • llama3_1_8b_instruct (Llama-3.1-8B-Instruct)
  • llama_3_2_11b_vision_instruct (Llama-3.2-11B-Vision-Instruct)
  • llama3_2_3b_instruct (Llama-3.2-3B-Instruct)
  • llama_3_3_70b_instruct_fp8 (Llama-3.3-70B-Instruct)
  • phi_3_medium_128k_instruct (Phi-3-Medium-128K-Instruct)
messagesarrayrequired

List of messages in the conversation

streamboolean

Whether to stream the response

Responses

200Streamed chat response with multiple chunks
object
idstring

Unique identifier for the response

objectstringchat.completion.chunk

Type of response object

createdinteger

Timestamp of response creation (milliseconds)

modelstring

Model used for the response

choicesarray
usageobject